E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
G::Xtext Class Reference

An xtext codec class, encoding space as "+20" etc. More...

`#include <gxtext.h>`

## Static Public Member Functions
static std::string | encode (const std::string &)
| Encodes the given string.
static std::string | decode (const std::string &)
| Decodes the given string. More...
static bool | valid (const std::string &)
| Returns true if a valid encoding. More...

## Detailed Description

An xtext codec class, encoding space as "+20" etc.

See also
  RFC-1891 section 5

Definition at line 36 of file gxtext.h.

## Member Function Documentation

std::string G::Xtext::decode | ( | const std::string & | s | ) |
| static

Decodes the given string.

Allows lowercase hex characters (eg. "+1a")

Definition at line 107 of file gxtext.cpp.

bool G::Xtext::valid | ( | const std::string & | s | ) |
| static

Returns true if a valid encoding.

Allows lowercase hex characters (eg. "+1a")

Definition at line 72 of file gxtext.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gxtext.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gxtext.cpp